Jagguar Game Engine

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
SDLGraphicsEngineRenderer Class Reference
Inheritance diagram for SDLGraphicsEngineRenderer:
[legend]
Collaboration diagram for SDLGraphicsEngineRenderer:
[legend]

## Public Member Functions
| SDLGraphicsEngineRenderer (int w, int h)
| (Other Render implementations here (e.g. Direct3D)
| ~SDLGraphicsEngineRenderer ()
void | SetRenderDrawColor (int r, int g, int b, int a) override
void | RenderClear () override
void | RenderPresent () override
SDL_Window * | GetWindow ()
SDL_Renderer * | GetRenderer ()
Public Member Functions inherited from IGraphicsEngineRenderer
| IGraphicsEngineRenderer (int w, int h)
virtual | ~IGraphicsEngineRenderer ()
virtual void | SetRenderDrawColor (int r, int g, int b, int a)=0
virtual void | RenderClear ()=0
virtual void | RenderPresent ()=0

## Private Attributes
SDL_Window * | mWindow = nullptr
SDL_Renderer * | mRenderer = nullptr

## Additional Inherited Members
Protected Attributes inherited from IGraphicsEngineRenderer
int | mScreenWidth {0}
int | mScreenHeight {0}

## Constructor & Destructor Documentation

## ◆ SDLGraphicsEngineRenderer()

SDLGraphicsEngineRenderer::SDLGraphicsEngineRenderer | ( | int | w,
|  | int | h
| ) |  |

(Other Render implementations here (e.g. Direct3D)

Concrete implementation of constructor

SDLGraphicsEngineRenderer Implementation

## ◆ ~SDLGraphicsEngineRenderer()

SDLGraphicsEngineRenderer::~SDLGraphicsEngineRenderer | ( |  | ) |

Destructor

## Member Function Documentation

## ◆ GetRenderer()

SDL_Renderer * SDLGraphicsEngineRenderer::GetRenderer | ( |  | ) |

Get Pointer to Renderer

Here is the caller graph for this function:

## ◆ GetWindow()

SDL_Window * SDLGraphicsEngineRenderer::GetWindow | ( |  | ) |

Get Pointer to Window

Here is the caller graph for this function:

## ◆ RenderClear()

void SDLGraphicsEngineRenderer::RenderClear | ( |  | ) |
| override virtual

Clear the screen

Implements IGraphicsEngineRenderer.

Here is the caller graph for this function:

## ◆ RenderPresent()

void SDLGraphicsEngineRenderer::RenderPresent | ( |  | ) |
| override virtual

Render whatever is in the backbuffer to the screen.

Implements IGraphicsEngineRenderer.

Here is the caller graph for this function:

## ◆ SetRenderDrawColor()

void SDLGraphicsEngineRenderer::SetRenderDrawColor | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |
| override virtual

Set the color for the background whenever the color is cleared.

Implements IGraphicsEngineRenderer.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- include/IGraphicsEngineRenderer.hpp
- src/IGraphicsEngineRenderer.cpp